Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Class DataTablePreRenderListener

    java.lang.Object
      org.richfaces.event.DataTablePreRenderListener

All Implemented Interfaces:
  java.util.EventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener

    public class DataTablePreRenderListener

extends java.lang.Object
implements javax.faces.event.SystemEventListener

Constructor Summary
`DataTablePreRenderListener()`

Method Summary
`boolean` | `isListenerForSource(java.lang.Object source)`
`AbstractDataScroller` | `processActiveDatascroller(javax.faces.context.FacesContext facesContext, java.util.List<AbstractDataScroller> dataScrollers, javax.faces.component.UIComponent dataTable)`
`void` | `processEvent(javax.faces.event.SystemEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataTablePreRenderListener

    public DataTablePreRenderListener()

Method Detail

### isListenerForSource

    public boolean isListenerForSource(java.lang.Object source)

  Specified by:
    `isListenerForSource` in interface `javax.faces.event.SystemEventListener`

### processActiveDatascroller

    public AbstractDataScroller processActiveDatascroller(javax.faces.context.FacesContext facesContext,
                                                          java.util.List<AbstractDataScroller> dataScrollers,
                                                          javax.faces.component.UIComponent dataTable)

### processEvent

    public void processEvent(javax.faces.event.SystemEvent event)
                      throws javax.faces.event.AbortProcessingException

  Specified by:
    `processEvent` in interface `javax.faces.event.SystemEventListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.